"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TypeUtils;
(function (TypeUtils) {
    class Enum {
        static getNames(enumType) {
            return Object.keys(enumType).filter(key => isNaN(+key));
        }
        static parse(enumType, value, caseInsensitive = false) {
            const enumNames = this.getNames(enumType);
            const matched = enumNames.filter(enumName => {
                const enumValue = enumType[enumName];
                if (caseInsensitive) {
                    if (String(enumValue).toUpperCase() === String(value).toUpperCase()) {
                        return enumType[enumName];
                    }
                }
                else {
                    if (String(enumValue) === String(value)) {
                        return enumType[enumName];
                    }
                }
            });
            return (matched[0] || null);
        }
    }
    TypeUtils.Enum = Enum;
})(TypeUtils = exports.TypeUtils || (exports.TypeUtils = {}));
