"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const type_utils_1 = require("./type-utils");
describe('TypeUtils', () => {
    describe('Enum', () => {
        let EnumTest;
        (function (EnumTest) {
            EnumTest["Foo"] = "FOO";
            EnumTest["Bar"] = "BAR";
        })(EnumTest || (EnumTest = {}));
        ;
        it('should get names', () => {
            const names = type_utils_1.TypeUtils.Enum.getNames(EnumTest);
            chai_1.assert.isArray(names);
            chai_1.assert.equal(names[0], 'Foo');
            chai_1.assert.equal(names[1], 'Bar');
        });
        it('should parse', () => {
            chai_1.assert.equal(type_utils_1.TypeUtils.Enum.parse(EnumTest, 'FOO'), 'Foo');
            chai_1.assert.equal(type_utils_1.TypeUtils.Enum.parse(EnumTest, 'foo2'), null);
        });
    });
});
